[ARVADOS-DEV] updated: 3e5c277f88aa20f031a6df4fa29604fe68978ad3
Git user
git at public.arvados.org
Sat Mar 21 01:45:48 UTC 2020
Summary of changes:
jenkins/run-deploy.sh | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
via 3e5c277f88aa20f031a6df4fa29604fe68978ad3 (commit)
from 1918e7df1be616ee87004a41c3806fb5f1470c41 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 3e5c277f88aa20f031a6df4fa29604fe68978ad3
Author: Ward Vandewege <ward at jhvc.com>
Date: Fri Mar 20 21:45:03 2020 -0400
* run-deploy.sh: fix logic bug in arv-keepdocker call
* get version from python3-arvados-cwl-runner package
refs #16220
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at jhvc.com>
diff --git a/jenkins/run-deploy.sh b/jenkins/run-deploy.sh
index 0d87ca5..023b4b3 100755
--- a/jenkins/run-deploy.sh
+++ b/jenkins/run-deploy.sh
@@ -321,7 +321,7 @@ if [[ "$NODE" == "" ]]; then
title "Found Arvados Standard Docker Images project with uuid $DOCKER_IMAGES_PROJECT"
- VERSION=`ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $IDENTIFIER apt-cache policy python-arvados-cwl-runner|grep Candidate`
+ VERSION=`ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $IDENTIFIER apt-cache policy python3-arvados-cwl-runner|grep Candidate`
VERSION=`echo $VERSION|cut -f2 -d' '|cut -f1 -d-`
if [[ "$?" != "0" ]] || [[ "$VERSION" == "" ]]; then
@@ -333,7 +333,7 @@ if [[ "$NODE" == "" ]]; then
if [[ "$SHELL_NODE_FOR_ARV_KEEPDOCKER" == "" ]]; then
ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN arv-keepdocker |grep -q $VERSION
- if [[ "$?" == "0" ]]; then
+ if [[ $? -eq 0 ]]; then
title "Found latest arvados/jobs Docker image, nothing to upload"
# Just in case it isn't yet, tag the image as latest
title "Tag arvados/jobs Docker image $VERSION as latest"
@@ -360,7 +360,7 @@ if [[ "$NODE" == "" ]]; then
else
ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $SHELL_NODE_FOR_ARV_KEEPDOCKER "ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN arv-keepdocker" |grep -q $VERSION
- if [[ $? -ne 0 ]]; then
+ if [[ $? -eq 0 ]]; then
title "Found latest arvados/jobs Docker image, nothing to upload"
# Just in case it isn't yet, tag the image as latest
title "Tag arvados/jobs Docker image $VERSION as latest"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list